Function
setPosition
Returns the current position of the reader.
void setPosition(reader, pos)
Include Headers
seqan/stream.h
Parameters

reader | The RecordReader to query for its position. Types: RecordReader
pos | The position to set the reader to. Types: Position

Remarks
The underlying data source has to support setting the position. For String RecordReader objects, this works nicely, when reading from streams, setting the position of the record reader is supported if the underlying string supports it.
Return Values
void
Member of
RecordReader
See Also
Position
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57